<template>
  <table class="table is-fullwidth">
    <thead>
    <tr>
      <th>ID</th>
      <th>Item Type</th>
      <th>Location</th>
      <th>Status</th>
      <th>Last Seen Time</th>
    </tr>
    </thead>
    <tbody>
    <inventory-row
      v-for="inventory in inventories"
      :key="inventory.id"
      :inventory="inventory"
    />
    </tbody>
  </table>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import { InventoryQueryData } from '../../views/common/query';

@Component({
  components: {
    InventoryRow: () => import('./InventoryRow.vue'),
  },
})
export default class InventoryTable extends Vue {
  @Prop({
    type: Array,
    required: true,
  }) inventories!: InventoryQueryData[];
}
</script>
